package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF067Response {

    @Parameter(name = "AAAdresat")
    String aAAdresat();

    @Parameter(name = "AACO")
    String aaco();

    @Parameter(name = "AACP")
    String aacp();

    @Parameter(name = "AACtvrt")
    String aACtvrt();

    @Parameter(name = "AAObec")
    String aAObec();

    @Parameter(name = "AAPSC")
    String aapsc();

    @Parameter(name = "AAPosta")
    String aAPosta();

    @Parameter(name = "AAUlice")
    String aAUlice();

    @Parameter(name = "AAZeme")
    String aAZeme();

    @Parameter(name = "BeznyZustatek")
    Double beznyZustatek();

    @Parameter(name = "CisloUctu")
    String cisloUctu();

    @Parameter(name = "DanZUroku")
    Double danZUroku();

    @Parameter(name = "DatumDalsihoVypisu")
    java.util.Date datumDalsihoVypisu();

    @Parameter(name = "DatumGenerovaniVypisu")
    java.util.Date datumGenerovaniVypisu();

    @Parameter(name = "DatumOtevreni")
    java.util.Date datumOtevreni();

    @Parameter(name = "DisponibilniZustatek")
    Double disponibilniZustatek();

    @Parameter(name = "DistribuceVypisu")
    String distribuceVypisu();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "JmenoUctu")
    String jmenoUctu();

    @Parameter(name = "KonecnyZustatek")
    Double konecnyZustatek();

    @Parameter(name = "Mena")
    String mena();

    @Parameter(name = "MesicniObratyCR")
    Double mesicniObratyCR();

    @Parameter(name = "MesicniObratyDB")
    Double mesicniObratyDB();

    @Parameter(name = "ObchodniMistoKod")
    String obchodniMistoKod();

    @Parameter(name = "ObchodniMistoKodNazev")
    String obchodniMistoKodNazev();

    @Parameter(name = "ObchodniMistoNazev")
    String obchodniMistoNazev();

    @Parameter(name = "PausalniPoplatek")
    Double pausalniPoplatek();

    @Parameter(name = "PeriodaVypisu")
    String periodaVypisu();

    @Parameter(name = "PouzitaAA")
    String pouzitaAA();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "ProduktKod")
    String produktKod();

    @Parameter(name = "ProduktNazev")
    String produktNazev();

    @Parameter(name = "RocniObratyCR")
    Double rocniObratyCR();

    @Parameter(name = "RocniObratyDB")
    Double rocniObratyDB();

    @Parameter(name = "SankcniUrok")
    Double sankcniUrok();

    @Parameter(name = "SdruzUcetPoplatky")
    String sdruzUcetPoplatky();

    @Parameter(name = "ServisniPoplatek")
    Double servisniPoplatek();

    @Parameter(name = "SplatnyUrok")
    Double splatnyUrok();

    @Parameter(name = "StavUctu")
    String stavUctu();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TypPoplatkovehoPlanu")
    Double typPoplatkovehoPlanu();

    @Parameter(name = "UrokSazbaPasmo1")
    Double urokSazbaPasmo1();

    @Parameter(name = "UrokSazbaPasmo2")
    Double urokSazbaPasmo2();

    @Parameter(name = "UrokSazbaPasmo3")
    Double urokSazbaPasmo3();

    @Parameter(name = "UrokSazbaPasmo4")
    Double urokSazbaPasmo4();

    @Parameter(name = "UrokSazbaPasmo5")
    Double urokSazbaPasmo5();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "UrokovyPlan")
    String urokovyPlan();

    @Parameter(name = "UrokovyPlanTisk")
    String urokovyPlanTisk();

    @Parameter(name = "VypisNaKonciMesice")
    Boolean vypisNaKonciMesice();

}